<?
header("Content-type: text/vnd.wap.wml");
header("Cache-control: no-store,no-cache,must-revalidate");
echo '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.org/DTD/wml_1.1.xml">
<wml>
<head>
<meta forua="true" http-equiv="Cache-Control" content="must-revalidate"/>
<meta forua="true" http-equiv="Cache-Control" content="no-cache"/>
<meta forua="true" http-equiv="Cache-Control" content="no-store"/>
</head>
<card id="main" title="Жизнь Дракона">
<p>
<?
// WML интерфейс
$version="1.1.5";
$game = implode("",file("gamukas.dat"));
$game = unserialize($game);
error_reporting(0);
extract($HTTP_GET_VARS);
extract($HTTP_POST_VARS);
extract($HTTP_COOKIE_VARS);
extract($HTTP_SERVER_VARS);
$subt = file_get_contents("max_on.dat");
$max = explode("|", $subt);
$max_onl = $max[0];
$max_on_time = $max[1];
if (empty($_GET['site'])) {
$fc.="<p align=\"center\"><a href=\"index.php\">[HTML]</a><br/>(v. $version)<br/>
<img src=\"dragon.gif\" width=\"100\" height=\"120\" alt=\"Dragon\" />";
$fc.="<br/><strong>Жизнь Дракона</strong>";
$fc.="<br/>***<br/><a href=\"?site=news\">Новости</a>";
$fc.="<br/>=======<br/><a href=\"?site=connect\">Вход</a><br/>=======<br/>";
$fc.="<a href=\"?site=reg\">Регистрация</a>";
$fc.="<br/>В игре: <a href=\"?site=online\">".count($game["players"])."</a>";
$fc.="<br/>---<br/><a href=\"wml.php?site=chat1\">Чат игры</a>";
$fc.="<br/><a href=\"wml.php?site=chat2\">Викторина игры</a>";
$fc.="<br/>---<br/><u>Максимум онлайн: </u>$max_onl<br/>($max_on_time )";
$fc.="<br/><br/><small><small>(c) 2009, Николай и Вадим</small></small>";
$fc.="</p>";
}
switch($site){
case "online";
$count_show=7;
if (count($game['players'])>0) {
$fc.='<strong><u>Сейчас в игре '.count($game["players"]).' человек:</u></strong>';
$ind=0;
$count=0;
if ($start<0 || !$start) $start=0;
$online=array_keys($game['players']);
foreach($online as $i) {
if ($ind>=$start) {
if (isset($game['loc'][$game['players'][$i]][$i]['gild'])) {
$z=$game["loc"][$game["players"][$i]][$i]['gild'];
$z=explode('|', $z);
$gi='('.$z[1].')';
}; 
if ($i!='user.')    $fc.='<br/>'.$game['loc'][$game['players'][$i]][$i]['title'].''.$gi.'';
unset ($gi, $z);
$count++;
if ($count>=$count_show) break;
}
$ind++;
}
if ($start && $start-$count_show>=0) $fc.='<br/><a href=\'?site=online&amp;start='.($start-$count_show).'\'>[-]</a>';
if ($count+$start<count($game['players'])) {if (!$start) $fc.='<br/>'; $fc.= ' <a href=\'?site=online&amp;start='.($count+$start).'\'>[+]</a>';}
} else $fc.='<br>Сейчас в игре никого нет';
$fc.="<br/>***<br/><a href=\"wml.php\">[на главную]</a>";
break;
case "news";
$fc.="<strong><u>Новости игры!</u></strong><br/><br/>";
$file = @file('data/news.dat');
if (!$file) {$fc.='Новостей нет';} else {
$total=count($file);
$file = array_reverse($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){
$udata = explode('||',$file[$i]);
$fc.='<b>'.$udata[0].'</b> ['.$udata[1].']<br/>'.$udata[2].'<br/>Разместил: <b>'.$udata[3].'</b><br/><br/>';
}
if ($start != 0) {$fc.="<a href=\"wml.php?site=news&amp;start=".($start - 5)."\">Назад</a>";}
if ($total > $start + 5) {$fc.=" <a href=\"wml.php?site=news&amp;start=".($start + 5)."\">Далее</a>";}
}
$fc.="<br/>***<br/><a href=\"wml.php\">[На главную]</a>";
break;
case "connect";
$fc.="<p align=\"center\"><strong><u>Вход в игру</u></strong>";
$fc.="<br/>Логин:<br/>
<input name=\"login\" maxlength=\"20\" type=\"text\"/>
<br/>Пароль:<br/>
<input name=\"p\" maxlength=\"20\" type=\"text\"/>";
$fc.="<br/><anchor>Войти<go href=\"index.php\" method=\"get\">
<postfield name=\"site\" value=\"connect2\"/>
<postfield name=\"login\" value=\"$(login)\"/>
<postfield name=\"p\" value=\"$(p)\"/></go></anchor>";
$fc.="<br/>***<br/><a href=\"wml.php?site=block\">Истории Наказания</a>";
$fc.="<br/><a href=\"wml.php?site=cpass\">Сменить пароль</a>";
$fc.="<br/><a href=\"wml.php?site=cmail\">Сменить email</a>";
$fc.="<br/><a href=\"wml.php?site=clost\">Я забыл пароль</a>";
$fc.="<br/>***<br/><a href=\"wml.php\">[На главную]</a>";
$fc.="</p>";
break;
case "reg";
$fc.="<strong><u>Регистрация</u></strong>";
$rand=rand(121212,443523423);
$fc.="<br/>Логин: 
<br/><input name=\"login\" maxlength=\"10\"/>
<br/>Пароль:
<br/><input name=\"p\"  maxlength=\"10\"/>
<br/><strong>СЕКРЕТ</strong>
<br/><input name=\"sekret\" value=\"$rand\" maxlength=\"10\"/>
<br/>Email:
<br/><input name=\"email\" value=\"name@server.ru\" maxlength=\"30\"/>
<br/>Имя (будет видно в игре):
<br/><input name=\"title\"/>
<br/>Пол:
<br/><select name=\"sex\" value=\"m\">
<option value=\"m\">Муж.</option>
<option value=\"f\">Жен.</option>
</select>
<br/>Расса:
<br/><select name=\"race\" value=\"human\">
<option value=\"human\">Люди</option>
<option value=\"elf\">Эльфы</option>
<option value=\"gnom\">Гномы</option>
</select><br/>
Возраст:
<select name=\"age\" value=\"13\">
<option value=\"13\">13</option>
<option value=\"14\">14</option>
<option value=\"15\">15</option><option value=\"16\">16</option>
<option value=\"17\">17</option><option value=\"18\">18</option>
<option value=\"19\">19</option><option value=\"20\">20</option>
<option value=\"21\">21</option><option value=\"22\">22</option>
<option value=\"23\">23</option><option value=\"24\">24</option>
<option value=\"25\">25</option><option value=\"26\">26</option>
<option value=\"27\">27</option><option value=\"28\">28</option>
<option value=\"29\">29</option>
<option value=\"30\">30</option>
<option value=\"31\">31</option>
<option value=\"32\">32</option>
<option value=\"33\">33</option><option value=\"34\">34</option>
<option value=\"35\">35</option>
</select><br/>
Согласен с <a href=\"gamukas.php?log=rule\">правилами</a>?<br/>
<br/>
<anchor>[регистрация]<go href=\"index.php?site=reg2\" method=\"post\">
<postfield name=\"login\" value=\"$(login)\"/>
<postfield name=\"p\" value=\"$(p)\"/>
<postfield name=\"sekret\" value=\"$(sekret)\"/>
<postfield name=\"email\" value=\"$(title)\"/>
<postfield name=\"sex\" value=\"$(sex)\"/>
<postfield name=\"race\" value=\"$(race)\"/>
<postfield name=\"title\" value=\"$(title)\"/>
<postfield name=\"age\" value=\"$(age)\"/></go></anchor>
";
$fc.="<br/>***<br/><a href=\"wml.php\">[На главную]</a>";
break;
case "block";
$fc.="<strong><u>Истории Наказания</u></strong><br/>";
$file = @file('data/nak.dat');
if (!$file) {$fc.='Данныых нет';} else {
$total=count($file);
$file = array_reverse($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){
$u = explode('|',$file[$i]);
$fc.="$u[1]/<strong>$u[2]</strong><br/>$u[3]/$u[0]<br/>";
}
if ($start != 0) {$fc.="<a href=\"wml.php?site=block&amp;start=".($start - 5)."\">Назад</a>";}
if ($total > $start + 5) {$fc.=" <a href=\"wml.php?site=block&amp;start=".($start + 5)."\">Далее</a>";}
}
$fc.="<br/>***<br/><a href=\"wml.php?site=connect\">[назад]</a>";
break;
case "chat1";
$fc.="<strong><u>Чат игры</u></strong><br/>";
$file = @file("data/chat.dat"); 
if (!$file) {$fc.="- нет сообщений -";} else {
$total=count($file);
$file=array_reverse($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 6){ $end = $total; }
else {$end = $start + 6; }
for ($i = $start; $i < $end; $i++){
$udata = explode("||",$file[$i]);
if (!$udata[5]) $udata[5]=0;
$fc.="$udata[0]::<strong>$udata[2]</strong>:<br/>$udata[1]<br/>";
}
if ($start != 0) {$fc.="<br/><a href=\"wml.php?site=chat1&amp;start=".($start - 6)."\">Назад</a>";}
if ($total > $start + 6) {$fc.="<br/><a href=\"wml.php?site=chat1&amp;start=".($start + 6)."\">Далее</a>";}
}
if ($start != 0) $fc.="<br/><a href=\"wml?site=chat1&amp;start=0\">Вверх</a>";
$fc.="<br/><a href=\"wml.php?site=chat1&amp;start=$start\">Обновить</a>";
$fc.="<br/>***<br/><a href=\"wml.php\">[на главную]</a>";
break;
case "chat2";
$fc.="<strong><u>Викторина игры</u></strong><br/>";
$file = @file("vict/vict.dat");  
if (!$file) {$fc.="- нет сообщений -";} else {
$total=count($file);
$file=array_reverse($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 6){ $end = $total; }
else {$end = $start + 6; }
for ($i = $start; $i < $end; $i++){
$udata = explode("||",$file[$i]);
if (!$udata[5]) $udata[5]=0;
$fc.="$udata[0]::<strong>$udata[2]</strong>:<br/>$udata[1]<br/>";
}
if ($start != 0) {$fc.="<br/><a href=\"wml.php?site=chat2&amp;start=".($start - 6)."\">Назад</a>";}
if ($total > $start + 6) {$fc.="<br/><a href=\"wml.php?site=chat2&amp;start=".($start + 6)."\">Далее</a>";}
}
if ($start != 0) $fc.="<br/><a href=\"wml?site=chat2&amp;start=0\">Вверх</a>";
$fc.="<br/><a href=\"wml.php?site=chat2&amp;start=$start\">Обновить</a>";
$fc.="<br/>***<br/><a href=\"wml.php\">[на главную]</a>";
break;
case "cpass";
$fc.="<strong><u>Сменить пароль</u></strong>";
if (!$sekr || !$log || !$pass || !$new_pass){
$fc.="<br/>(персонаж должен быть <u>не в игре</u>)
<br/>Логин: <br/><input name=\"log\"/>
<br/><strong>СЕКРЕТ</strong>
<br/><input name=\"sekr\"/>
<br/>Пароль<br/><input name=\"pass\"/>
<br/>----------<br/>
<strong>Новый пароль</strong>:
<br/><input name=\"new_pass\"/>
<br/><anchor>Сменить<go href=\"wml.php?site=cpass\" method=\"post\">
<postfield name=\"log\" value=\"$(login)\"/>
<postfield name=\"sekr\" value=\"$(sekr)\"/>
<postfield name=\"pass\" value=\"$(pass)\"/>
<postfield name=\"new_pass\" value=\"$(new_pass)\"/>
</go></anchor>";
}else{
if (strlen($new_pass)>20) die("Пароль не должен быть больше 20 симболов!<br/><a href=\"wml.php\">[Назад]</a></p></card></wml>");
if (isset($game["players"]["user.$log"])) die("Персонаж в игре!<br/><a href=\"?\">В начало</a></p></card></wml>");
$user = implode("",file("users/user.$log.dat"));
$user = unserialize($user);
$info=explode("|",$user["info"]);
if ($sekr!=$info[5])  die("Неправильные данные!<br/><a href=\"?\">В начало</a></p></card></wml>");
if ($pass!=$info[0])  die("Неправильные данные!<br/><a href=\"?\">В начало</a></p></card></wml>");
$info[0]=$new_pass;
$user["info"]=implode("|",$info);
$fc.="<br/>Данные персонажа - [".$user["title"]."] изменены!";
$file1 = fopen ("users/user.$log.dat", "w+");
fputs($file1,serialize($user));
fclose ($file1);
}
$fc.="<br/>***<br/><a href=\"wml.php\">[на главную]</a>";
break;
case "cmail";
$fc.="<strong><u>Сменить E-mail</u></strong>";
if (!$sekr || !$log || !$pass || !$new_mail){
$fc.="<br/>(персонаж должен быть <u>не в игре</u>)
<br/>Логин: <br/><input name=\"log\"/>
<br/><strong>СЕКРЕТ</strong>
<br/><input name=\"sekr\"/>
<br/>Пароль<br/><input name=\"pass\"/>
<br/>----------<br/>
<strong>Новый E-mail</strong>:
<br/><input name=\"new_mail\" maxlength=\"50\"/>
<br/><anchor>Сменить<go href=\"wml.php?site=cmail\" method=\"post\">
<postfield name=\"log\" value=\"$(log)\"/>
<postfield name=\"sekr\" value=\"$(sekr)\"/>
<postfield name=\"pass\" value=\"$(pass)\"/>
<postfield name=\"new_mail\" value=\"$(new_mail)\"/>
</go></anchor>";
}else{
if (ereg("[$<>#]+",$new_mail)) die("Присутствуют недопустимые симболы!</p></card></wml>");
if (strlen($new_mail)>50) die("E-mail не должен быть больше 50 симболов!<br/><a href=\"wml.php\">[Назад]</a></p></card></wml>");
if (isset($game["players"]["user.$log"])) die("Персонаж в игре!<br/><a href=\"?\">В начало</a></p></card></wml>");
$user = implode("",file("users/user.$log.dat"));
$user = unserialize($user);
$info=explode("|",$user["info"]);
if ($sekr!=$info[5])  die("Неправильные данные!<br/><a href=\"?\">В начало</a></p></card></wml>");
if ($pass!=$info[0])  die("Неправильные данные!<br/><a href=\"?\">В начало</a></p></card></wml>");
$info[1]=$new_mail;
$user["info"]=implode("|",$info);
$fc.="<br/>E-mail изменен на ".$new_mail."!";
$file1 = fopen ("users/user.$log.dat", "w+");
fputs($file1,serialize($user));
fclose ($file1);
}
$fc.="<br/>***<br/><a href=\"wml.php\">[на главную]</a>";
break;
case "clost";
$fc.="<strong><u>Я забыл пароль!</u></strong><br/>";
if (!$sekr || !$log){
$fc.="(персонаж должен быть <u>не в игре</u>)
<br/>Логин: <br/><input name=\"log\"/>
<br/><strong>СЕКРЕТ</strong>
<br/><input name=\"sekr\"/>
<br/><anchor>Выслать<go href=\"wml.php?site=clost\" method=\"post\">
<postfield name=\"log\" value=\"$(log)\"/>
<postfield name=\"sekr\" value=\"$(sekr)\"/>
</go></anchor>";
}else{
if (isset($game["players"]["user.$log"])) die("Персонаж в игре!<br/><a href=\"?\">В начало</a></p></card></wml>");
$user = implode("",file("users/user.$log.dat"));
$user = unserialize($user);
$info=split("\|",$user["info"]);
if ($sekr!=$info[5])  die("Неправильные данные!<br/><a href=\"?\">В начало</a></p></card></wml>");
mail(''.$info[1].'', 'Пароль', 'Ваши данние в игре - Жизнь Дракона    Логин: '.$log.'   пароль: '.$info[0].'', "From: support@lifedragon.ru\r\nContent-type: text/plain; charset=UTF-8;\r\n");
$fc.="<br/>Данные отправлены по емаилу указанному при регистрации!";
}
$fc.="<br/>***<br/><a href=\"wml.php\">[на главную]</a>";
break;
}
#########
print $fc;
?>
</p>
</card>
</wml>